<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="wiced__bt__a2d__m12_8h" kind="file" language="C++">
    <compoundname>wiced_bt_a2d_m12.h</compoundname>
    <innerclass prot="public" refid="structwiced__bt__a2d__m12__cie__t">wiced_bt_a2d_m12_cie_t</innerclass>
      <sectiondef kind="user-defined">
      <header>MPEG-1,2 Layer</header>
      <description><para>for Codec Specific Information Element</para>
<para><anchor id="group__wicedbt__a2dp__mpeg__1__2_1A2D_M12_LAYER" /></para>
</description>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga34575dd585fde70f534cba73cf9ffa10" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_LAYER_MSK</name>
        <initializer>0xE0</initializer>
        <briefdescription>
<para>b7-b5 layer </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="43" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="43" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga77924b0d3be0cf3b14e5bf408397ea55" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_LAYER1</name>
        <initializer>0x80</initializer>
        <briefdescription>
<para>b7: layer1 (mp1) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="44" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="44" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga22499853855ec6323e571412f9539a9c" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_LAYER2</name>
        <initializer>0x40</initializer>
        <briefdescription>
<para>b6: layer2 (mp2) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="45" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="45" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga5ad40a9b97083dc5e2b667ddbd5cb2fd" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_LAYER3</name>
        <initializer>0x20</initializer>
        <briefdescription>
<para>b5: layer3 (mp3) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="46" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="46" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="user-defined">
      <header>MPEG-1,2 Channel Mode</header>
      <description><para><anchor id="group__wicedbt__a2dp__mpeg__1__2_1A2D_M12_CH_MD" /></para>
</description>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1gae0b96a481a35329cffa30ef7c3641331" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_CH_MD_MSK</name>
        <initializer>0x0F</initializer>
        <briefdescription>
<para>b3-b0 channel mode </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="56" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="56" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga7c9787e009af294edd2e643429a738a4" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_CH_MD_MONO</name>
        <initializer>0x08</initializer>
        <briefdescription>
<para>b3: mono </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="57" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="57" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga20b70ef06ef063127b0ecb931248caa5" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_CH_MD_DUAL</name>
        <initializer>0x04</initializer>
        <briefdescription>
<para>b2: dual </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="58" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="58" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga8a0d498e24f84e4b062c5d54bf5da00c" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_CH_MD_STEREO</name>
        <initializer>0x02</initializer>
        <briefdescription>
<para>b1: stereo </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="59" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="59" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga04dbfc5b06036d163c582a695453cc8b" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_CH_MD_JOINT</name>
        <initializer>0x01</initializer>
        <briefdescription>
<para>b0: joint stereo </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="60" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="60" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="user-defined">
      <header>MPEG-1,2 Sampling Frequency</header>
      <description><para><anchor id="group__wicedbt__a2dp__mpeg__1__2_1A2D_M12_SF" /></para>
</description>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga9b65e64bf3bac4520aca89eaf677e1c1" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_SAMP_FREQ_MSK</name>
        <initializer>0x3F</initializer>
        <briefdescription>
<para>b5-b0 sampling frequency </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="70" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="70" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga43614726297938716fb8c08817667b95" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_SAMP_FREQ_16</name>
        <initializer>0x20</initializer>
        <briefdescription>
<para>b5:16 kHz </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="71" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="71" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1gaaef8b454c6db7cb8b193e16604e0cf45" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_SAMP_FREQ_22</name>
        <initializer>0x10</initializer>
        <briefdescription>
<para>b4:22.05kHz </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="72" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="72" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga00a513f521d5a51bb5adc6b5ce18e37d" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_SAMP_FREQ_24</name>
        <initializer>0x08</initializer>
        <briefdescription>
<para>b3:24 kHz </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="73" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="73" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1gac41b1ca776de033803b40e4f0a695ded" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_SAMP_FREQ_32</name>
        <initializer>0x04</initializer>
        <briefdescription>
<para>b2:32 kHz </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="74" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="74" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga0e0ed2e043792dfacbcc2b93c5be7456" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_SAMP_FREQ_44</name>
        <initializer>0x02</initializer>
        <briefdescription>
<para>b1:44.1kHz </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="75" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="75" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga51a32cc85cf0965d38e8cafb92a171e8" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_SAMP_FREQ_48</name>
        <initializer>0x01</initializer>
        <briefdescription>
<para>b0:48 kHz </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="76" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="76" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="user-defined">
      <header>MPEG-1,2 Bitrate</header>
      <description><para><anchor id="group__wicedbt__a2dp__mpeg__1__2_1A2D_M12_BITRATE" /></para>
</description>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1gad4d1e110211d8e1b4b1f1a752ad04ed8" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_BITRATE_MSK</name>
        <initializer>0x7FFF</initializer>
        <briefdescription>
<para>b6-b0 of octect 2, all of octect3 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="86" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="86" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga055b19e0251da086a96b891e62fa7430" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_BITRATE_0</name>
        <initializer>0x0001</initializer>
        <briefdescription>
<para>0000 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="87" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="87" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1gaed3668bb98886020f53fce21955aa2ef" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_BITRATE_1</name>
        <initializer>0x0002</initializer>
        <briefdescription>
<para>0001 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="88" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="88" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga523ad1f323a2490d5d79953e490f6928" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_BITRATE_2</name>
        <initializer>0x0004</initializer>
        <briefdescription>
<para>0010 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="89" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="89" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1gab68ebd0a5e38cdc6496640a99f688184" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_BITRATE_3</name>
        <initializer>0x0008</initializer>
        <briefdescription>
<para>0011 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="90" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="90" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1gaa75d2828bb7786ef2dba9e08baec5113" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_BITRATE_4</name>
        <initializer>0x0010</initializer>
        <briefdescription>
<para>0100 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="91" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="91" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1gadb4ce0e83e481d2c8415ebb1454b5eab" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_BITRATE_5</name>
        <initializer>0x0020</initializer>
        <briefdescription>
<para>0101 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="92" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="92" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga035e8cfe77601a419e67709c7b49f36e" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_BITRATE_6</name>
        <initializer>0x0040</initializer>
        <briefdescription>
<para>0110 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="93" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="93" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga2b30143f473887f6e16fc761ced5a695" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_BITRATE_7</name>
        <initializer>0x0080</initializer>
        <briefdescription>
<para>0111 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="94" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="94" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga6ac3e60e5c6b0894831d7dbd7011c9f0" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_BITRATE_8</name>
        <initializer>0x0100</initializer>
        <briefdescription>
<para>1000 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="95" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="95" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga1140ff33faaa0e8fc0a14d2ebcffabad" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_BITRATE_9</name>
        <initializer>0x0200</initializer>
        <briefdescription>
<para>1001 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="96" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="96" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1gaed0edbebd148bc7c5664aa274b5bfb5a" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_BITRATE_10</name>
        <initializer>0x0400</initializer>
        <briefdescription>
<para>1010 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="97" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="97" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1gac83b5cc169edc72f54e99190112d2f63" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_BITRATE_11</name>
        <initializer>0x0800</initializer>
        <briefdescription>
<para>1011 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="98" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="98" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga8b681673f64b4da7dd3f535541d55a8c" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_BITRATE_12</name>
        <initializer>0x1000</initializer>
        <briefdescription>
<para>1100 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="99" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="99" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga452679917e67a902574b07686490ad02" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_BITRATE_13</name>
        <initializer>0x2000</initializer>
        <briefdescription>
<para>1101 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="100" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="100" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga2cfacbde6c1316dbae1b7cd8d215e5c2" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_BITRATE_14</name>
        <initializer>0x4000</initializer>
        <briefdescription>
<para>1110 </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="101" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="101" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="define">
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1gaf2eb79f617514437d250edfeb9fa3bfc" kind="define" prot="public" static="no">
        <name>A2D_M12_MPL_HDR_LEN</name>
        <initializer>4</initializer>
        <briefdescription>
<para>the length of the MPEG_1, 2 Audio Media Payload header. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="32" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="32" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1gac5d0a705f73d658af33de9b0bb40bebf" kind="define" prot="public" static="no">
        <name>A2D_M12_INFO_LEN</name>
        <initializer>6</initializer>
        <briefdescription>
<para>the LOSC of MPEG_1, 2 Audio media codec capabilitiy </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="35" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="35" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1ga439970b3c8e8f7f2bff17db9d75b3cb2" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_CRC_MSK</name>
        <initializer>0x10</initializer>
        <briefdescription>
<para>b4: CRC </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="49" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="49" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1gaaf41a108bc7848d7fb5c9f6bf432f8fe" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_MPF_MSK</name>
        <initializer>0x40</initializer>
        <briefdescription>
<para>b6: MPF </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="63" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="63" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1gabd01c0d472a02d5b30350016c0445494" kind="define" prot="public" static="no">
        <name>A2D_M12_IE_VBR_MSK</name>
        <initializer>0x80</initializer>
        <briefdescription>
<para>b7: VBR </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="79" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="79" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1gacef301927c6112b13b6092ed96924351" kind="define" prot="public" static="no">
        <name>A2D_BLD_M12_PML_HDR</name>
        <param><defname>p_dst</defname></param>
        <param><defname>frag_offset</defname></param>
        <initializer>{Uint16_t_TO_BE_STREAM(p_dst, 0); \
                                                Uint16_t_TO_BE_STREAM(p_dst, frag_offset); }</initializer>
        <briefdescription>
<para>Build MPEG-1,2 Header. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="105" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="105" />
      </memberdef>
      <memberdef id="group__wicedbt__a2dp__mpeg__1__2_1gade8cab0a6990c8c4cbec70f32cd13443" kind="define" prot="public" static="no">
        <name>A2D_PARS_M12_PML_HDR</name>
        <param><defname>p_src</defname></param>
        <param><defname>frag_offset</defname></param>
        <initializer>{BE_STREAM_TO_Uint16_t(frag_offset, p_src); \
                                                 BE_STREAM_TO_Uint16_t(frag_offset, p_src); }</initializer>
        <briefdescription>
<para>Parse MPEG-1,2 Header. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="109" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="109" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__wicedbt__a2dp__mpeg__1__2_1gaf06d7fa0bf9303bcaedfb2ca0647eb64" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__wicedbt__av__a2d__helper_1ga6a78ee8aece921283d90e5a721436925">wiced_bt_a2d_status_t</ref></type>
        <definition>wiced_bt_a2d_status_t wiced_bt_a2d_bld_m12info</definition>
        <argsstring>(uint8_t media_type, wiced_bt_a2d_m12_cie_t *p_ie, uint8_t *p_result)</argsstring>
        <name>wiced_bt_a2d_bld_m12info</name>
        <param>
          <type>uint8_t</type>
          <declname>media_type</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__a2d__m12__cie__t">wiced_bt_a2d_m12_cie_t</ref> *</type>
          <declname>p_ie</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_result</declname>
        </param>
        <briefdescription>
<para>This function is called by an application to build the MPEG-1, 2 Audio Media Codec Capabilities byte sequence beginning from the LOSC octet. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">media_type</parametername>
</parameternamelist>
<parameterdescription>
<para>: Indicates Audio, or Multimedia. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_ie</parametername>
</parameternamelist>
<parameterdescription>
<para>: The MPEG-1, 2 Audio Codec Information Element information. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">p_result</parametername>
</parameternamelist>
<parameterdescription>
<para>: the resulting codec info byte sequence.</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> A2D_SUCCESS </bold> if function execution succeeded. <linebreak />
 <bold> Error status code </bold> otherwise. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="149" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wicedbt__a2dp__mpeg__1__2_1ga7ec65c0c1d390a419c96fa3b937797db" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__wicedbt__av__a2d__helper_1ga6a78ee8aece921283d90e5a721436925">wiced_bt_a2d_status_t</ref></type>
        <definition>wiced_bt_a2d_status_t wiced_bt_a2d_pars_m12info</definition>
        <argsstring>(wiced_bt_a2d_m12_cie_t *p_ie, uint8_t *p_info, wiced_bool_t for_caps)</argsstring>
        <name>wiced_bt_a2d_pars_m12info</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__a2d__m12__cie__t">wiced_bt_a2d_m12_cie_t</ref> *</type>
          <declname>p_ie</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_info</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
          <declname>for_caps</declname>
        </param>
        <briefdescription>
<para>This function is called by an application to parse the MPEG-1, 2 Audio Media Codec Capabilities byte sequence beginning from the LOSC octet. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_info</parametername>
</parameternamelist>
<parameterdescription>
<para>: the byte sequence to parse. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">for_caps</parametername>
</parameternamelist>
<parameterdescription>
<para>: TRUE, if the byte sequence is for get capabilities response. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">p_ie</parametername>
</parameternamelist>
<parameterdescription>
<para>: The MPEG-1, 2 Audio Codec Information Element information.</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> A2D_SUCCESS </bold> if function execution succeeded. <linebreak />
 <bold> Error status code </bold> otherwise. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="164" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>MPEG-1, 2 Audio A2DP Application Programming Interface. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />$<sp />Copyright<sp />Cypress<sp />Semiconductor<sp />$</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal" /></codeline>
<codeline lineno="10"><highlight class="comment">/*****************************************************************************</highlight></codeline>
<codeline lineno="11"><highlight class="comment">**</highlight></codeline>
<codeline lineno="12"><highlight class="comment">**<sp /><sp />Name:<sp /><sp /><sp /><sp /><sp /><sp /><sp />wiced_bt_a2d_m12.h</highlight></codeline>
<codeline lineno="13"><highlight class="comment">**</highlight></codeline>
<codeline lineno="14"><highlight class="comment">**<sp /><sp />Description:Interface<sp />to<sp />MPEG-1,<sp />2<sp />Audio</highlight></codeline>
<codeline lineno="15"><highlight class="comment">**</highlight></codeline>
<codeline lineno="16"><highlight class="comment">**</highlight></codeline>
<codeline lineno="17"><highlight class="comment">*****************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="comment">/*****************************************************************************</highlight></codeline>
<codeline lineno="29"><highlight class="comment">**<sp /><sp />Constants</highlight></codeline>
<codeline lineno="30"><highlight class="comment">*****************************************************************************/</highlight></codeline>
<codeline lineno="32"><highlight class="preprocessor">#define<sp />A2D_M12_MPL_HDR_LEN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />4</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="preprocessor">#define<sp />A2D_M12_INFO_LEN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />6</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="preprocessor">#define<sp />A2D_M12_IE_LAYER_MSK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xE0<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="44"><highlight class="preprocessor">#define<sp />A2D_M12_IE_LAYER1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x80<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="45"><highlight class="preprocessor">#define<sp />A2D_M12_IE_LAYER2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x40<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="46"><highlight class="preprocessor">#define<sp />A2D_M12_IE_LAYER3<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x20<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="49"><highlight class="preprocessor">#define<sp />A2D_M12_IE_CRC_MSK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x10<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="56"><highlight class="preprocessor">#define<sp />A2D_M12_IE_CH_MD_MSK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0F<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="57"><highlight class="preprocessor">#define<sp />A2D_M12_IE_CH_MD_MONO<sp /><sp /><sp /><sp /><sp /><sp /><sp />0x08<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="58"><highlight class="preprocessor">#define<sp />A2D_M12_IE_CH_MD_DUAL<sp /><sp /><sp /><sp /><sp /><sp /><sp />0x04<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="59"><highlight class="preprocessor">#define<sp />A2D_M12_IE_CH_MD_STEREO<sp /><sp /><sp /><sp /><sp />0x02<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="60"><highlight class="preprocessor">#define<sp />A2D_M12_IE_CH_MD_JOINT<sp /><sp /><sp /><sp /><sp /><sp />0x01<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="63"><highlight class="preprocessor">#define<sp />A2D_M12_IE_MPF_MSK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x40<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="70"><highlight class="preprocessor">#define<sp />A2D_M12_IE_SAMP_FREQ_MSK<sp /><sp /><sp /><sp />0x3F<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="71"><highlight class="preprocessor">#define<sp />A2D_M12_IE_SAMP_FREQ_16<sp /><sp /><sp /><sp /><sp />0x20<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="72"><highlight class="preprocessor">#define<sp />A2D_M12_IE_SAMP_FREQ_22<sp /><sp /><sp /><sp /><sp />0x10<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="73"><highlight class="preprocessor">#define<sp />A2D_M12_IE_SAMP_FREQ_24<sp /><sp /><sp /><sp /><sp />0x08<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="74"><highlight class="preprocessor">#define<sp />A2D_M12_IE_SAMP_FREQ_32<sp /><sp /><sp /><sp /><sp />0x04<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="75"><highlight class="preprocessor">#define<sp />A2D_M12_IE_SAMP_FREQ_44<sp /><sp /><sp /><sp /><sp />0x02<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="76"><highlight class="preprocessor">#define<sp />A2D_M12_IE_SAMP_FREQ_48<sp /><sp /><sp /><sp /><sp />0x01<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="79"><highlight class="preprocessor">#define<sp />A2D_M12_IE_VBR_MSK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x80<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="86"><highlight class="preprocessor">#define<sp />A2D_M12_IE_BITRATE_MSK<sp /><sp /><sp /><sp /><sp /><sp />0x7FFF<sp /><sp /></highlight></codeline>
<codeline lineno="87"><highlight class="preprocessor">#define<sp />A2D_M12_IE_BITRATE_0<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0001<sp /><sp /></highlight></codeline>
<codeline lineno="88"><highlight class="preprocessor">#define<sp />A2D_M12_IE_BITRATE_1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0002<sp /><sp /></highlight></codeline>
<codeline lineno="89"><highlight class="preprocessor">#define<sp />A2D_M12_IE_BITRATE_2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0004<sp /><sp /></highlight></codeline>
<codeline lineno="90"><highlight class="preprocessor">#define<sp />A2D_M12_IE_BITRATE_3<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0008<sp /><sp /></highlight></codeline>
<codeline lineno="91"><highlight class="preprocessor">#define<sp />A2D_M12_IE_BITRATE_4<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0010<sp /><sp /></highlight></codeline>
<codeline lineno="92"><highlight class="preprocessor">#define<sp />A2D_M12_IE_BITRATE_5<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0020<sp /><sp /></highlight></codeline>
<codeline lineno="93"><highlight class="preprocessor">#define<sp />A2D_M12_IE_BITRATE_6<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0040<sp /><sp /></highlight></codeline>
<codeline lineno="94"><highlight class="preprocessor">#define<sp />A2D_M12_IE_BITRATE_7<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0080<sp /><sp /></highlight></codeline>
<codeline lineno="95"><highlight class="preprocessor">#define<sp />A2D_M12_IE_BITRATE_8<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0100<sp /><sp /></highlight></codeline>
<codeline lineno="96"><highlight class="preprocessor">#define<sp />A2D_M12_IE_BITRATE_9<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0200<sp /><sp /></highlight></codeline>
<codeline lineno="97"><highlight class="preprocessor">#define<sp />A2D_M12_IE_BITRATE_10<sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0400<sp /><sp /></highlight></codeline>
<codeline lineno="98"><highlight class="preprocessor">#define<sp />A2D_M12_IE_BITRATE_11<sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0800<sp /><sp /></highlight></codeline>
<codeline lineno="99"><highlight class="preprocessor">#define<sp />A2D_M12_IE_BITRATE_12<sp /><sp /><sp /><sp /><sp /><sp /><sp />0x1000<sp /><sp /></highlight></codeline>
<codeline lineno="100"><highlight class="preprocessor">#define<sp />A2D_M12_IE_BITRATE_13<sp /><sp /><sp /><sp /><sp /><sp /><sp />0x2000<sp /><sp /></highlight></codeline>
<codeline lineno="101"><highlight class="preprocessor">#define<sp />A2D_M12_IE_BITRATE_14<sp /><sp /><sp /><sp /><sp /><sp /><sp />0x4000<sp /><sp /></highlight></codeline>
<codeline lineno="105"><highlight class="preprocessor">#define<sp />A2D_BLD_M12_PML_HDR(p_dst,frag_offset)<sp />{Uint16_t_TO_BE_STREAM(p_dst,<sp />0);<sp />\</highlight></codeline>
<codeline lineno="106"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Uint16_t_TO_BE_STREAM(p_dst,<sp />frag_offset);<sp />}</highlight><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="preprocessor">#define<sp />A2D_PARS_M12_PML_HDR(p_src,frag_offset)<sp />{BE_STREAM_TO_Uint16_t(frag_offset,<sp />p_src);<sp />\</highlight></codeline>
<codeline lineno="110"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />BE_STREAM_TO_Uint16_t(frag_offset,<sp />p_src);<sp />}</highlight><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal" /><highlight class="comment">/*****************************************************************************</highlight></codeline>
<codeline lineno="114"><highlight class="comment">**<sp /><sp />Type<sp />Definitions</highlight></codeline>
<codeline lineno="115"><highlight class="comment">*****************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal" /></codeline>
<codeline lineno="118" refid="structwiced__bt__a2d__m12__cie__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="normal">{</highlight></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />layer;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />crc;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />ch_mode;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />mpf;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />samp_freq;<sp /><sp /></highlight></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />vbr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp />bitrate;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="127"><highlight class="normal">}<sp /><ref kindref="compound" refid="structwiced__bt__a2d__m12__cie__t">wiced_bt_a2d_m12_cie_t</ref>;</highlight></codeline>
<codeline lineno="128"><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal" /><highlight class="comment">/*****************************************************************************</highlight></codeline>
<codeline lineno="130"><highlight class="comment">**<sp /><sp />External<sp />Function<sp />Declarations</highlight></codeline>
<codeline lineno="131"><highlight class="comment">*****************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="133"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal">{</highlight></codeline>
<codeline lineno="135"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="normal"><ref kindref="member" refid="group__wicedbt__av__a2d__helper_1ga6a78ee8aece921283d90e5a721436925">wiced_bt_a2d_status_t</ref><sp /><ref kindref="member" refid="group__wicedbt__a2dp__mpeg__1__2_1gaf06d7fa0bf9303bcaedfb2ca0647eb64">wiced_bt_a2d_bld_m12info</ref>(uint8_t<sp />media_type,<sp /><ref kindref="compound" refid="structwiced__bt__a2d__m12__cie__t">wiced_bt_a2d_m12_cie_t</ref><sp />*p_ie,</highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*p_result);</highlight></codeline>
<codeline lineno="151"><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="normal"><ref kindref="member" refid="group__wicedbt__av__a2d__helper_1ga6a78ee8aece921283d90e5a721436925">wiced_bt_a2d_status_t</ref><sp /><ref kindref="member" refid="group__wicedbt__a2dp__mpeg__1__2_1ga7ec65c0c1d390a419c96fa3b937797db">wiced_bt_a2d_pars_m12info</ref>(<ref kindref="compound" refid="structwiced__bt__a2d__m12__cie__t">wiced_bt_a2d_m12_cie_t</ref><sp />*p_ie,<sp />uint8_t<sp />*p_info,</highlight></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref><sp />for_caps);</highlight></codeline>
<codeline lineno="166"><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal">}</highlight></codeline>
<codeline lineno="169"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal" /></codeline>
<codeline lineno="172"><highlight class="comment">/*<sp />@endcond*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="173"><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" />
  </compounddef>
</doxygen>